<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    /**
     * Fillable fields for a Category
     *
     * @var array
     */

    protected $fillable = [
        'title',
        'description'
    ];

    /**
     * Get the Posts associated with the given Category
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */

    public function posts()
    {
        return $this->belongsToMany('App\Post');
    }
}
